Get Maintenance Impacts

Maintenance Impacts contain service-based attributes like serviceName, circuitId, aLocationClli, zLocationClli, and legacyCircuitId. Returns all maintenance impacts that meet default criteria or based on optional filter, search, order by and pagination options.

Request
Request Body schema: application/json

Optional body to apply filters, order by params, search values, and pagination to return a list of maintenance cases. Filter options include - caseNumber, serviceId, serviceName, circuitId, and expectedImpact. Order by options include - primaryDate asc or primaryDate desc. Search using a string of text. Pagination with top and skip options.

object

Object to define filter options.

object
Responses
200

Success

post/services/service-manamgenet/v1/maintenance-impacts
Request samples
application/json
{
  • "filter": {
    • "caseNumber": "TTN-0003802821",
    • "serviceId": "a0M0z00000Pi42wEAB",
    • "serviceName": "543288",
    • "circuitId": "/IVPN/247644/006/ZYO /",
    • "expectedImpact": "Hard Down"
    },
  • "paging": {
    • "top": 10,
    • "skip": 0
    }
}
Response samples
application/json
"{ \"apiVersion\": \"v1\", \"data\": {\n \"records\": [\n {\n \"caseNumber\": \"TTN-0003802821\",\n \"serviceId\": \"a0M0z00000Pi42wEAB\",\n \"serviceName\": \"543288\",\n \"circuitId\": \"/IVPN/247644/006/ZYO /\",\n \"expectedImpact\": \"Hard Down\",\n \"aLocationClli\": \"EBCKONBT\",\n \"zLocationClli\": \"EBCKONBT\",\n \"legacyCircuitId\": null\n }\n ],\n \"metadata\": {\n \"top\": 10,\n \"skip\": 0,\n \"currentPage\": 1,\n \"totalPages\": 1,\n \"totalRecordCount\": 1\n }\n }\n }"